.\"
.\" $Id$
.\"
.TH SEAFOOD n "August 22, 1998"
.if t .ds ' \h@.05m@\s+4\v@.333m@\'\v@-.333m@\s-4\h@.05m@
.if n .ds ' '
.if t .ds ` \h@.05m@\s+4\v@.333m@\`\v@-.333m@\s-4\h@.05m@
.if n .ds ` `
.ds OK [\|
.ds CK \|]
.SH NAME
seafood \- generate statistics from squid access logfiles.
.SH SYNOPSIS
.B seafood
[-f\~cfg] [-N] file1 [file2 [..]]
.PP
xxxx file1 |
.B seafood
[-f\~cfg] [-N] -
.SH DESCRIPTION
.B seafood
allows you to extract data of stastical value from the
.I access.log
files which a squid powered web cache generates.
.SH OPTIONS
.TP
.B \-f cfg
lets you define an alternative configuration file. The 
.B seafood
configuration file determines the behaviour of the output.
.IP
Default is to use the fully qualified base name of 
.B seafood
with the suffix
.I \.conf
appended.
.TP
.B \-N
disables any kind of DNS and IRR lookup. This will save a lot of time, as
it is not necessary to render the client requests as symbolic names, nor to
resolve the direct destinations into numericals in order to query your
nearest whois server for the routing registry data.
.IP
Default are given in the
.I seafood.conf
configuration file.
.TP
.B fileN
you can specify one or more input file to be processed by seafood. If you
are using more than one file, the results will be bundled. Depending on
your compile time configuration, you might be able to pump gzip and bzip2
files into seafood. If you are planning on using
.I stdin
as input, use the special file name dash (-).
.IP
A file name is an mandatory argument. You have to specify at least one.
.SH "EXIT STATUS"
.SH EXAMPLE
Please note that much informational material is dumped onto 
.I stderr
in order to have some kind of progress report. This is perfectly normal.
.SH BUGS
.SH FILES
.TP
.B /var/tmp/dns
is a cache of all hosts encountered during processing, with the hope
of seeing a similar set of hosts during the next run.
.IP
If the file exists during startup, the contents will be read in. Each
DNS lookup during processing is stored into an internal cache, which
will be dumped after processing.
.TP
.B /var/tmp/irr
is a cache of all whois lookups which were encountered during processing.
.IP
If the file exists during startup, the contents will be read in. Each
IRR lookup during processing is stored into an internal cache, which
will be dumped after processing.
.TP
.B seafood.conf
The configuration file is usually the base name of the program with the
suffix 
.I \.conf
appended to it, unless you specify an alternative configuration file using
the command line option \-f.
.SH "SEE ALSO"
squid
.PP
.TP 10
.B RFC 2396
Uniform Resource Identifiers (URI)
.TP 10
.B RFC 2616
Hypertext Tranfer Protocol -- HTTP/1.1
.PP
.B http://www.w3.org/
.PP
.B http://squid.nlanr.net/

