//
// $Id: irritem.hh,v 1.2 1999/09/01 22:02:49 voeckler Exp $
//
// Author:  Jens-S. Vckler <voeckler@rvs.uni-hannover.de>
//
// File:    irritem.hh
//          Fri Aug 27 1999
//
// (c) 1999 Lehrgebiet Rechnernetze und Verteilte Systeme
//          Universitt Hannover, Germany
//
// Permission to use, copy, modify, distribute, and sell this software
// and its documentation for any purpose is hereby granted without fee,
// provided that (i) the above copyright notices and this permission
// notice appear in all copies of the software and related documentation,
// and (ii) the names of the Lehrgebiet Rechnernetze und Verteilte
// Systeme and the University of Hannover may not be used in any
// advertising or publicity relating to the software without the
// specific, prior written permission of Lehrgebiet Rechnernetze und
// Verteilte Systeme and the University of Hannover.
//
// THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
// IN NO EVENT SHALL THE LEHRGEBIET RECHNERNETZE UND VERTEILTE SYSTEME OR
// THE UNIVERSITY OF HANNOVER BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
// INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND, OR ANY DAMAGES
// WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER OR NOT
// ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF LIABILITY,
// ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
// SOFTWARE.
//
// $Log: irritem.hh,v $
// Revision 1.2  1999/09/01 22:02:49  voeckler
// added clear() method, fixed string conversion bugs, added
// length in front of item.
//
// Revision 1.1  1999/08/27 20:52:16  voeckler
// Initial revision
//
//
#ifndef _IRRITEM_HH
#define _IRRITEM_HH

#if defined(__GNUC__) || defined(__GNUG__)
#pragma interface
#endif

#include "typedefs.h"
#include "baseitem.hh"
#include "string.hh"

class IRRItem : public BaseItem {
public:
  inline IRRItem()
    :BaseItem(0,true),item()
    { }
  inline IRRItem( time_t expiry, const String& answer )
    :BaseItem(expiry,(answer.length()==0)),item(answer)
    { }
  inline IRRItem( const IRRItem& irr )
    :BaseItem(irr.expires,irr.empty),item(irr.item)
    { }
  inline ~IRRItem() 
    { }
  void clear();

  IRRItem& operator=( const IRRItem& irr );
  bool operator==( const IRRItem& irr );
  bool operator!=( const IRRItem& irr );

  String toString( void ) const;
  IRRItem( const char* s );

  String    item;
};

#endif // _IRRITEM_HH
